diff --git tests/basic_lp/test_basic_lp.cpp tests/basic_lp/test_basic_lp.cpp
index bbd8c552..8e2ddbde 100644
--- tests/basic_lp/test_basic_lp.cpp
+++ tests/basic_lp/test_basic_lp.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/basic_qp/test_basic_qp.cpp tests/basic_qp/test_basic_qp.cpp
index fe70d70f..ff1822e7 100644
--- tests/basic_qp/test_basic_qp.cpp
+++ tests/basic_qp/test_basic_qp.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/basic_qp/test_later_solution.cpp tests/basic_qp/test_later_solution.cpp
index a98f49ca..57d47b22 100644
--- tests/basic_qp/test_later_solution.cpp
+++ tests/basic_qp/test_later_solution.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/basic_qp2/test_basic_qp2.cpp tests/basic_qp2/test_basic_qp2.cpp
index 0fa1c3dd..74ab6f93 100644
--- tests/basic_qp2/test_basic_qp2.cpp
+++ tests/basic_qp2/test_basic_qp2.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/codegen/test_codegen.cpp tests/codegen/test_codegen.cpp
index 8f56a49a..34b9ee9f 100644
--- tests/codegen/test_codegen.cpp
+++ tests/codegen/test_codegen.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/csc_api/test_csc_api.cpp tests/csc_api/test_csc_api.cpp
index 206d738b..b11fe3be 100644
--- tests/csc_api/test_csc_api.cpp
+++ tests/csc_api/test_csc_api.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/demo/test_demo.cpp tests/demo/test_demo.cpp
index 1d8e2568..a23570ea 100644
--- tests/demo/test_demo.cpp
+++ tests/demo/test_demo.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/derivative_adjoint/test_derivative_adjoint.cpp tests/derivative_adjoint/test_derivative_adjoint.cpp
index a831959f..a9cf527a 100644
--- tests/derivative_adjoint/test_derivative_adjoint.cpp
+++ tests/derivative_adjoint/test_derivative_adjoint.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/large_qp/test_large_qp.cpp tests/large_qp/test_large_qp.cpp
index b1196009..bbfeb210 100644
--- tests/large_qp/test_large_qp.cpp
+++ tests/large_qp/test_large_qp.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/lin_alg/lin_alg_tester.cpp tests/lin_alg/lin_alg_tester.cpp
index 2c502b7d..8d716347 100644
--- tests/lin_alg/lin_alg_tester.cpp
+++ tests/lin_alg/lin_alg_tester.cpp
@@ -1,7 +1,7 @@
 /* Linear Algebra Tester Module */
 
 #define CATCH_CONFIG_RUNNER
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "test_lin_alg.h"
 
@@ -23,7 +23,7 @@ int main( int argc, char* argv[] ) {
         deviceNum = std::atoi(deviceEnv);
     }
 
-    using namespace Catch::clara;
+    using namespace Catch::Clara;
 
     // Next use a command line option (if it exists)
     auto cli = session.cli() | Opt(deviceNum, "device")["--device"]("Compute device (overrides the OSQP_TEST_DEVICE_NUM environment variable)");
diff --git tests/lin_alg/test_lin_alg.h tests/lin_alg/test_lin_alg.h
index 540151c7..ba49fbc8 100644
--- tests/lin_alg/test_lin_alg.h
+++ tests/lin_alg/test_lin_alg.h
@@ -2,7 +2,7 @@
 #define TEST_LIN_ALG_H_
 
 #include <stdio.h>
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp.h"
 
diff --git tests/lin_alg/test_matrix.cpp tests/lin_alg/test_matrix.cpp
index 94348661..4f35ecc4 100644
--- tests/lin_alg/test_matrix.cpp
+++ tests/lin_alg/test_matrix.cpp
@@ -33,7 +33,7 @@ TEST_CASE("Matrix: Sparse matrix construction", "[matrix][construction]") {
 #endif /* ifndef OSQP_ALGEBRA_CUDA */
 
 
-TEST_CASE("Matrix: Submatrix creation", "[matrix][creation") {
+TEST_CASE("Matrix: Submatrix creation", "[matrix][creation]") {
   lin_alg_sols_data_ptr data{generate_problem_lin_alg_sols_data()};
 
   OSQPMatrix_ptr lA{OSQPMatrix_new_from_csc(data->test_mat_vec_A,0)}; //asymmetric
diff --git tests/non_cvx/test_non_cvx.cpp tests/non_cvx/test_non_cvx.cpp
index 8f85b0e6..f1d02946 100644
--- tests/non_cvx/test_non_cvx.cpp
+++ tests/non_cvx/test_non_cvx.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/osqp_tester.cpp tests/osqp_tester.cpp
index 55418930..c08b869b 100644
--- tests/osqp_tester.cpp
+++ tests/osqp_tester.cpp
@@ -1,7 +1,7 @@
 /* OSQP TESTER MODULE */
 
 #define CATCH_CONFIG_RUNNER
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 /* All testcases are in their own cpp file in the subdirectories.
    This file only defines the main function for CATCH to use.
@@ -29,7 +29,7 @@ int main( int argc, char* argv[] ) {
         OSQPTestFixture::deviceNumber = std::atoi(deviceEnv);
     }
 
-    using namespace Catch::clara;
+    using namespace Catch::Clara;
 
     // Next use a command line option (if it exists)
     auto cli = session.cli() | Opt(OSQPTestFixture::deviceNumber, "device")
diff --git tests/primal_dual_infeasibility/test_primal_dual_infeasibility.cpp tests/primal_dual_infeasibility/test_primal_dual_infeasibility.cpp
index 8aa87fae..fc5dd2e8 100644
--- tests/primal_dual_infeasibility/test_primal_dual_infeasibility.cpp
+++ tests/primal_dual_infeasibility/test_primal_dual_infeasibility.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 #include <time.h>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
diff --git tests/primal_infeasibility/test_primal_infeasibility.cpp tests/primal_infeasibility/test_primal_infeasibility.cpp
index 5d38963a..47672a29 100644
--- tests/primal_infeasibility/test_primal_infeasibility.cpp
+++ tests/primal_infeasibility/test_primal_infeasibility.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/settings/test_settings.cpp tests/settings/test_settings.cpp
index def73072..0129ff62 100644
--- tests/settings/test_settings.cpp
+++ tests/settings/test_settings.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/unconstrained/test_unconstrained.cpp tests/unconstrained/test_unconstrained.cpp
index 56eb7be6..0517fcc0 100644
--- tests/unconstrained/test_unconstrained.cpp
+++ tests/unconstrained/test_unconstrained.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
diff --git tests/update_matrices/test_update_matrices.cpp tests/update_matrices/test_update_matrices.cpp
index db7788dd..fb6e7e23 100644
--- tests/update_matrices/test_update_matrices.cpp
+++ tests/update_matrices/test_update_matrices.cpp
@@ -1,4 +1,4 @@
-#include <catch2/catch.hpp>
+#include <catch2/catch_all.hpp>
 
 #include "osqp_api.h"    /* OSQP API wrapper (public + some private) */
 #include "osqp_tester.h" /* Tester helpers */
